@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700&display=swap");

/* ========================= CONSTANT VARIABLES ==================== */
:root {
  --color-body: #b6cbce;
  --color-heading: #eef3db;
  --color-base: #032859;
  --color-base2: #011c40;
  --color-brand: #08678c;
  --color-brand2: #074973;
  --font-base: "Poppins";
}

body {
  background-color: var(--color-base2);
  color: var(--color-body);
  font-family: var(--font-base), sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--color-heading);
  font-weight: 600;
}

a {
  text-decoration: none;
  color: var(--color-body);
  transition: all 0.4s ease;
}

a:hover {
  color: var(--color-brand);
}

img {
  width: 100%;
}

.text-brand {
  color: var(--color-brand);
}

.bg-base {
  background-color: var(--color-base);
}

.shadow-effect {
  transition: all 0.5s;
}

.shadow-effect:hover {
  box-shadow: -6px 6px 0 0 var(--color-brand);
}

.iconbox {
  width: 60px;
  height: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 32px;
  background-color: var(--color-brand);
  color: var(--color-base);
}

@media (max-width: 576px) {
  .bg-img img {
    width: 80%;
    padding: 20%;
  }
}

.bg-img img {
  border: 15px solid var(--color-brand);
}

.bg-img img:hover {
  border-color: var(--color-brand2);
}
/* ========== NAVBAR START ============ */
.navbar {
  background-color: var(--color-base);
}

.navbar .nav-link {
  font-weight: 400;
  text-transform: uppercase;
  color: #fff;
}

.navbar .nav-link:hover {
  color: var(--color-brand);
}

.navbar .nav-link.active {
  color: var(--color-brand);
}
/* ========== NAVBAR END ============ */

/* =========== BTN HOME PAGE START =========== */
/* BTN */
.btn {
  padding: 12px 28px;
  font-weight: 700;
}

.btn-brand {
  background-color: var(--color-brand);
  border-color: var(--color-brand);
  color: var(--color-base);
}

.btn-brand:hover,
.btn-brand:focus {
  background-color: var(--color-brand2);
  color: var(--color-base);
  border-color: var(--color-brand2);
}

.link-custom {
  font-weight: 700;
  position: relative;
}

.link-custom::after {
  content: "";
  width: 0%;
  height: 2px;
  background-color: var(--color-brand);
  position: absolute;
  left: 0;
  top: 110%;
  transition: all 0.4s;
}

.link-custom:hover::after {
  width: 100%;
}

.full-height {
  min-height: 100vh;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding-top: 80px;
  padding-bottom: 80px;
  border-bottom: 2px solid rgba(255, 255, 255, 0.1);
}

/* =========== BTN HOME PAGE END =========== */

/* =========== ABOUT ME & PROJECTS & TOOLS CARD START ============= */
/* CARDS */
.card-custom .card-custom-image {
  overflow: hidden;
}

.card-custom .card-custom-image img {
  transition: all 0.4s ease;
}

.card-custom:hover .card-custom-image img {
  transform: scale(1.1);
}

/* =========== ABOUT ME & PROJECTS & TOOLS CARD END ============= */

/* SOCIAL ICONS */
.social-icons a {
  width: 20px;
  height: 20px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--color-base);
  border-radius: 100px;
  font-size: 24px;
  transition: all 0.2s ease-in-out; /* add a smooth transition */
}

.social-icons a i {
  color: #eef3db;
}

.social-icons a:hover i {
  color: var(--color-brand);
}
